$! make emiclock under VMS
$!
$! In case of problems with the install you might contact me at 
$! zinser@decus.decus.de (preferred) or zinser@sysdev.exchange.de (work)
$!
$! Check for old version of OpenVMS
$!
$ vers = f$extract(1,3,f$getsyi("Version"))
$ if vers .lts. "7.0"
$ then
$! Check if xvmsutils are installed and logicals defined
$   if f$search("x11vms:vmsutil.h").eqs.""
$   then
$     type sys$input:
Since you are using an OpenVMS version prior to 7.0 you'll need the Xvmsutils
library installed on your system and point the logical x11vms to its location.
The library is available via
http://www.decus.de:8080/www/vms/sw/xvmsutils.htmlx
$     exit
$   endif
$ endif
$! Check if the Athena Widget set is installed
$!
$ if f$trnlnm("xaw3dlibshr").eqs. ""
$ then 
$   type sys$input:
This program requires the X Athena Widgetset (XAW) to work. A version for 
OpenVMS is available via 
http://www.decus.de:8080/www/vms/sw/xaw.htmlx
$   exit
$ endif
$!
$! Look for the compiler used
$!
$ ccopt = "/define=(""""SIGTYPE=void"""")"
$ if f$getsyi("HW_MODEL").ge.1024
$ then
$  if f$trnlnm("SYS").eqs."" then define sys sys$library:
$  ccopt = ccopt + "/prefix=all"
$ else
$  if f$search("SYS$SYSTEM:DECC$COMPILER.EXE").eqs.""
$   then
$    if f$trnlnm("SYS").eqs."" then define sys sys$library:
$   else
$    if f$trnlnm("SYS").eqs."" then define sys decc$library_include:
$    ccopt = ccopt + "/prefix=all"
$  endif
$ endif
$!
$!      Build the option-file
$!
$ open/write optf emiclock.opt
$ write optf "main.obj"
$ write optf "emiclock.obj"
$ write optf "menu.obj"
$ write optf "gengine.obj"
$ write optf "gdata.obj"
$ write optf "creditcolor.obj"
$ write optf "creditmono.obj"
$ write optf "sound.obj"
$ write optf "rcfile.obj"
$ write optf "misc.obj"
$ write optf "cascademenu.obj"
$ write optf "version.obj"
$ write optf "Identification=""EmiClock 1.0.2"""
$ if vers .lts. "7.0" then -
  write optf "x11vms:xvmsutils.olb/lib"
$!
$!  Find out which X-Version we're running.  This will fail for older
$!  VMS versions (i.e., v5.5-1).  Therefore, choose DECWindows XUI for
$!  default.
$!
$ On Error Then GoTo XUI
$ @sys$update:decw$get_image_version sys$share:decw$xlibshr.exe decw$version
$ if f$extract(4,3,decw$version).eqs."1.0"
$ then
$   write optf "Sys$share:DECW$DWTLIBSHR.EXE/Share"
$ endif
$ if f$extract(4,3,decw$version).eqs."1.1"
$ then
$   write optf "sys$share:decw$xtshr.exe/share"
$ endif
$ if f$extract(4,3,decw$version).eqs."1.2"
$ then
$   write optf "sys$share:decw$xtlibshrr5.exe/share"
$ endif
$ GoTo MAIN
$!
$XUI:
$!
$   write optf "Sys$share:DECW$DWTLIBSHR.EXE/Share"
$MAIN:
$!
$ write optf "sys$share:decw$xlibshr.exe/share"
$ write optf "sys$share:decw$xextlibshr.exe/share"
$ write optf "xaw3dlibshr/share"
$ close optf
$!
$! Build the thing 
$!
$ write sys$output "Compiling emiclock sources ..."
$   CALL MAKE main.OBJ "CC ''CCOPT' main" -
              main.c 
$   CALL MAKE emiclock.OBJ "CC ''CCOPT' emiclock" -
              emiclock.c 
$   CALL MAKE menu.OBJ "CC ''CCOPT' menu" -
              menu.c 
$   CALL MAKE gengine.OBJ "CC ''CCOPT' gengine" -
              gengine.c 
$   CALL MAKE gdata.OBJ "CC ''CCOPT' gdata" -
              gdata.c 
$   CALL MAKE creditcolor.OBJ "CC ''CCOPT' creditcolor" -
              creditcolor.c 
$   CALL MAKE creditmono.OBJ "CC ''CCOPT' creditmono" -
              creditmono.c 
$   CALL MAKE sound.OBJ "CC ''CCOPT' sound" -
              sound.c 
$   CALL MAKE rcfile.OBJ "CC ''CCOPT' rcfile" -
              rcfile.c 
$   CALL MAKE misc.OBJ "CC ''CCOPT' misc" -
              misc.c 
$   CALL MAKE cascademenu.OBJ "CC ''CCOPT' cascademenu" -
              cascademenu.c 
$   CALL MAKE version.OBJ "CC ''CCOPT' version" -
              version.c 
$   call make emiclock.exe "LINK Emiclock.opt/opt" *.obj
$ write sys$output "EmiClock build completed"
$ exit
$!
$!
$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$       Argument = P'arg
$       If Argument .Eqs. "" Then Goto Exit
$       El=0
$Loop2:
$       File = F$Element(El," ",Argument)
$       If File .Eqs. " " Then Goto Endl
$       AFile = ""
$Loop3:
$       OFile = AFile
$       AFile = F$Search(File)
$       If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$       If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$       Goto Loop3
$NextEL:
$       El = El + 1
$       Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ VV=F$VERIFY(0)
$ write sys$output P2
$ 'P2
$ VV='F$Verify(VV)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE
